summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-08-11 14:35:16 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-08-11 14:35:16 +0200
commite9e7fbc7f1c7514a10cef7a47b4a940d0676410e (patch)
tree2938f0df53e4ecfd1cfb02fe5b2f9757b497e9cd /kde-frameworks/solid
parentprofiles: amd64-fbsd: Drop obsolete dev-qt/qtgui[nas] p.use.mask (diff)
downloadgentoo-e9e7fbc7f1c7514a10cef7a47b4a940d0676410e.tar.gz
gentoo-e9e7fbc7f1c7514a10cef7a47b4a940d0676410e.tar.bz2
gentoo-e9e7fbc7f1c7514a10cef7a47b4a940d0676410e.zip
kde-frameworks: Add KDE Frameworks 5.49.0
Package-Manager: Portage-2.3.45, Repoman-2.3.10
Diffstat (limited to 'kde-frameworks/solid')
-rw-r--r--kde-frameworks/solid/Manifest1
-rw-r--r--kde-frameworks/solid/solid-5.49.0.ebuild32
2 files changed, 33 insertions, 0 deletions
diff --git a/kde-frameworks/solid/Manifest b/kde-frameworks/solid/Manifest
index e229938be6d..1fcbc6fb4c4 100644
--- a/kde-frameworks/solid/Manifest
+++ b/kde-frameworks/solid/Manifest
@@ -1,2 +1,3 @@
DIST solid-5.46.0.tar.xz 257668 BLAKE2B 3ec991f4b5b9f68cbf6770663625f7c332f1cbfc3d0ec6b489b464c8c460bd509dc570135075cae45430b2857d9cccbc6df48bf754f4d880858e4484f8fcbb32 SHA512 3b5a62f9723cd164a0ee2504e27a650bfae4a9d6b063db08e95d4a2735242092b39cb5b509d28408ca435adce18bf780c22a0acb4c8bf47749c5273edf6ed46c
DIST solid-5.48.0.tar.xz 258944 BLAKE2B b7e272b5f4863da798e9818a705ee9c76305720370063f29886ead882fff6e5f8724dce8a9196d3ce5b529030d32be9540c763e255c7f17ddc22eab71bc02a60 SHA512 213019ef96f1531d9a893cfd3664d880b488c5b02a88f1b5aec057a942d2f8d3aa9d5fef3aca5d3110223b5d83f500800247fa501983cd11f8d5349da6f3b016
+DIST solid-5.49.0.tar.xz 258952 BLAKE2B 25ed2c371842cc76ce42da5bad00021a849d2a72b83d224fa538004ba0d46276a95299b69f4636c25f8d7edfc66c94647aaea32d94b1d4fab8a95c8c0c9cef5d SHA512 a93fea0760a0240b61657c53961458ac9eda288afcc37b1ff92b4e16c8869789105457069ae2eea7d2e4bb58c66fb9a6191da566c375f791308c946a7580573d
diff --git a/kde-frameworks/solid/solid-5.49.0.ebuild b/kde-frameworks/solid/solid-5.49.0.ebuild
new file mode 100644
index 00000000000..5ba7d7e8701
--- /dev/null
+++ b/kde-frameworks/solid/solid-5.49.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+VIRTUALX_REQUIRED="test"
+inherit kde5
+
+DESCRIPTION="Provider for platform independent hardware discovery, abstraction and management"
+LICENSE="LGPL-2.1+"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="nls"
+
+RDEPEND="
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtdeclarative)
+ $(add_qt_dep qtwidgets)
+ $(add_qt_dep qtxml)
+ sys-fs/udisks:2
+ virtual/udev
+"
+DEPEND="${RDEPEND}
+ nls? ( $(add_qt_dep linguist-tools) )
+ test? ( $(add_qt_dep qtconcurrent) )
+"
+pkg_postinst() {
+ kde5_pkg_postinst
+
+ if ! has_version "app-misc/media-player-info" ; then
+ einfo "For media player support, install app-misc/media-player-info"
+ fi
+}